Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		libwnck
Version:	2.20.2
Release:	1
License:	GNU/GPL 
URL:		ftp.gnome.org
Group:		Graphical Desktop/GNOME/Base
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	libwnck is Window Navigator Construction Kit.
Requires: 	glib
Requires: 	gtk2+
Requires: 	startup-notification

BuildRequires:	glib-devel
BuildRequires:	gtk2+-devel
BuildRequires:  pango-devel
BuildRequires:  startup-notification-devel
BuildRequires:  libXt-devel
BuildRequires:  libXres-devel
BuildRequires:  perl-XML-Parser
BuildRequires:  gettext
Obsoletes: 	libwnck-doc

%description
libwnck is Window Navigator Construction Kit, i.e. a library to use
for writing pagers and taskslists and stuff.  

libwnck isn't supported in the devel platform, which means OS vendors won't
guarantee the API/ABI long-term, but authors of open source apps
should feel free to use libwnck as users can always recompile against
a new version.  (And the API/ABI has historically changed very little,
I'm not changing it gratuitously or without soname increments.)

There are API docs in the source code, and API documentation can be
generated by configuring --enable-gtk-doc. Also tasklist.c and pager.c make
good sample code.

%package devel
Summary: 	Libraries and headers for libwnck
Group: 		Development/Libraries
Requires: 	%name = %{version}

Requires: 	glib-devel
Requires: 	pango-devel
Requires: 	gtk2+-devel
Requires: 	pkg-config

%description devel
libwnck (pronounced "libwink") is used to implement pagers, tasklists, 
and other such things. It allows applications to monitor information 
about open windows, workspaces, their names/icons, and so forth.

You should install the libwnck-devel package if you would like to
compile applications that use libwnck. You don't need libwnck-devel 
just to use precompiled applications.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q

%build

%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README
%_bindir/wnckprop
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_datadir}/gtk-doc/html/libwnck

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Nov 28 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.2-1
- Version update
* Fri Sep 28 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.0-1
- Version update
* Tue Nov 07 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1-2
- rebuild, moved libexec
* Mon Nov 06 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1-1
- Version update
* Sat Mar 25 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.14.0-1
- Version Update
* Tue Feb 28 2005 Christian Wasem <wasem@ccux-linux.de> 2.13.92-1
- Initial Release
